For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
          • V3
              • GETList Customers
              • POSTCreate Customers
              • PUTUpdate Customers
              • DELDelete Customers
                • GETGet Customer Settings per Channel
                • PUTUpdate Customer Settings per Channel
          • V2
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomersV3Channel Settings

Update Customer Settings per Channel

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/customers/settings/channels/:channel_id
PUT
/stores/:store_hash/v3/customers/settings/channels/:channel_id
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/customers/settings/channels/1 \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "privacy_settings": {
> "ask_shopper_for_tracking_consent": true,
> "policy_url": "https://www.example-store.com/privacy-policy"
> },
> "customer_group_settings": {
> "guest_customer_group_id": 5,
> "default_customer_group_id": 10
> },
> "allow_global_logins": true
>}'
200Update channel customer settings
1{
2 "privacy_settings": {
3 "ask_shopper_for_tracking_consent": true,
4 "policy_url": "https://www.example-store.com/privacy-policy",
5 "ask_shopper_for_tracking_consent_on_checkout": null
6 },
7 "customer_group_settings": {
8 "guest_customer_group_id": 5,
9 "default_customer_group_id": 10
10 },
11 "allow_global_logins": true
12}
Update the customer settings per channel **Required Fields** * `channel_id`: Provide a `channel_id` array containing one or more channel IDs. Customers will have access to these channels and no others. This array cannot be empty. **Notes** * Setting `null` will delete override per given channel, and values will be inherited from the global level. Make sure the channel has `allow_global_logins` enabled.
Was this page helpful?
Previous

Get Customer Settings per Channel

Next

Get Customer Consent

Built with

Update the customer settings per channel

Required Fields

  • channel_id: Provide a channel_id array containing one or more channel IDs. Customers will have access to these channels and no others. This array cannot be empty.

Notes

  • Setting null will delete override per given channel, and values will be inherited from the global level. Make sure the channel has allow_global_logins enabled.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

channel_idintegerRequired
store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

This endpoint expects an object.
privacy_settingsobjectOptional
Controls the privacy settings.
customer_group_settingsobjectOptional
The settings for a collection of customers.
allow_global_loginsbooleanOptional
  • Determines if a channel allows global customer to login
  • Determines if customers created on this channel will get global access/login

Response

Customer settings are returned.
dataobject
Customer Settings.
metaobject

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.